## indi-dreamfocuser 2.1+20220129131520

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(indi_dreamfocuser_focus C CXX)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set (DREAMFOCUSER_VERSION_MAJOR 2)
set (DREAMFOCUSER_VERSION_MINOR 1)

find_package(INDI REQUIRED)
find_package(Threads REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_dreamfocuser_focus.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_dreamfocuser_focus.xml)

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})

include(CMakeCommon)

########### DreamFocuser Focuser ###########
set(indidreamfocuser_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/dreamfocuser.cpp
   )

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(indidreamfocuser indidreamfocuser_SRCS 10 cpp)
ENDIF ()

add_executable(indi_dreamfocuser_focus ${indidreamfocuser_SRCS})

target_link_libraries(indi_dreamfocuser_focus ${INDI_DRIVER_LIBRARIES} pthread)

install(TARGETS indi_dreamfocuser_focus RUNTIME DESTINATION bin )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_dreamfocuser_focus.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-dreamfocuser (2.1+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:40:02 +0000

indi-dreamfocuser (2.1-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Dec 2021 09:32:03 +0100

indi-dreamfocuser (2.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 17 Dec 2021 09:32:03 +0000

## indi-dreamfocuser 2.1+20220611123211

=== debian/changelog ===
indi-dreamfocuser (2.1+20220611123211-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:32:21 +0000

## indi-dreamfocuser 2.1+20221223125100

=== debian/changelog ===
indi-dreamfocuser (2.1+20221223125100-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113015)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:21:12 +0200

indi-dreamfocuser (2.1+20221223125100-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 2.1

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 12:52:14 +0000

=== debian/control ===
Source: indi-dreamfocuser
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
Standards-Version: 4.6.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-dreamfocuser
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-dreamfocuser.git

Package: indi-dreamfocuser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libusb-1.0-0
Description: INDI driver for DeamFocuser focuser
 This package contains an INDI driver for the focuser made by DreamFocuser.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
